Package org.eclipse.unittest.ui

# Class ConfigureViewerSupport

java.lang.Object
org.eclipse.unittest.ui.ConfigureViewerSupport

All Implemented Interfaces:
  `Function<ILaunchConfigurationWorkingCopy,ILaunchConfigurationWorkingCopy>`

public final class ConfigureViewerSupport extends Object implements Function<ILaunchConfigurationWorkingCopy,ILaunchConfigurationWorkingCopy>
Configures a Launch configuration Working Copy with an identifier of Test View Support extension

## Constructor Summary

Constructors
Constructor
Description
`ConfigureViewerSupport(String testViewSupportExtensionId)`

## Method Summary

Modifier and Type
Method
Description
`ILaunchConfigurationWorkingCopy`
`apply(ILaunchConfigurationWorkingCopy configuration)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### ConfigureViewerSupport

public ConfigureViewerSupport(String testViewSupportExtensionId)

## Method Details

### apply

public ILaunchConfigurationWorkingCopy apply(ILaunchConfigurationWorkingCopy configuration)

Specified by:
  `apply` in interface `Function<ILaunchConfigurationWorkingCopy,ILaunchConfigurationWorkingCopy>`